sigc::slot_const_iterator< T_slot > Struct Template Reference
Signals

STL-style const iterator for slot_list. More...

`#include <sigc++/signal.h>`

## Public Types

typedef std::ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef internal::signal_impl::const_iterator_type | iterator_type
typedef const T_slot* | pointer
typedef const T_slot& | reference
typedef std::size_t | size_type
typedef T_slot | slot_type
typedef T_slot | value_type

## Public Member Functions

| slot_const_iterator ()
| slot_const_iterator (const iterator_type& i)
bool | operator!= (const slot_const_iterator& other) const
reference | operator* () const
slot_const_iterator& | operator++ ()
slot_const_iterator | operator++ (int)
slot_const_iterator& | operator-- ()
slot_const_iterator | operator-- (int)
pointer | operator-> () const
bool | operator== (const slot_const_iterator& other) const

## Public Attributes

iterator_type | i_

## Detailed Description

### template<typename T_slot>
struct sigc::slot_const_iterator< T_slot >

STL-style const iterator for slot_list.

## Member Typedef Documentation

template <typename T_slot >

typedef std::ptrdiff_t sigc::slot_const_iterator< T_slot >::difference_type

template <typename T_slot >

typedef std::bidirectional_iterator_tag sigc::slot_const_iterator< T_slot >::iterator_category

template <typename T_slot >

typedef internal::signal_impl::const_iterator_type sigc::slot_const_iterator< T_slot >::iterator_type

template <typename T_slot >

typedef const T_slot* sigc::slot_const_iterator< T_slot >::pointer

template <typename T_slot >

typedef const T_slot& sigc::slot_const_iterator< T_slot >::reference

template <typename T_slot >

typedef std::size_t sigc::slot_const_iterator< T_slot >::size_type

template <typename T_slot >

typedef T_slot sigc::slot_const_iterator< T_slot >::slot_type

template <typename T_slot >

typedef T_slot sigc::slot_const_iterator< T_slot >::value_type

## Constructor & Destructor Documentation

template <typename T_slot >

sigc::slot_const_iterator< T_slot >::slot_const_iterator | ( |  | ) |

inline

template <typename T_slot >

sigc::slot_const_iterator< T_slot >::slot_const_iterator | ( | const iterator_type& | i | ) |

inline explicit

## Member Function Documentation

template <typename T_slot >

bool sigc::slot_const_iterator< T_slot >::operator!= | ( | const slot_const_iterator< T_slot >& | other | ) | const

inline

template <typename T_slot >

reference sigc::slot_const_iterator< T_slot >::operator* | ( |  | ) | const

inline

template <typename T_slot >

slot_const_iterator& sigc::slot_const_iterator< T_slot >::operator++ | ( |  | ) |

inline

template <typename T_slot >

slot_const_iterator sigc::slot_const_iterator< T_slot >::operator++ | ( | int |  | ) |

inline

template <typename T_slot >

slot_const_iterator& sigc::slot_const_iterator< T_slot >::operator-- | ( |  | ) |

inline

template <typename T_slot >

slot_const_iterator sigc::slot_const_iterator< T_slot >::operator-- | ( | int |  | ) |

inline

template <typename T_slot >

pointer sigc::slot_const_iterator< T_slot >::operator-> | ( |  | ) | const

inline

template <typename T_slot >

bool sigc::slot_const_iterator< T_slot >::operator== | ( | const slot_const_iterator< T_slot >& | other | ) | const

inline

## Member Data Documentation

template <typename T_slot >

iterator_type sigc::slot_const_iterator< T_slot >::i_